Summary:       An utility for extracting Microsoft cabinet files
Name:          cabextract
Version:       1.3
Release:       1%{?dist}%{?pext}
License:       GPL
Group:         Applications/Archiving
Source0:       http://www.%{name}.org.uk/%{name}-%{version}.tar.gz
URL:           http://www.%{name}.org.uk/
Buildroot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:        Stuart Caie <kyzer@4u.net>
BuildRequires: libmspack-devel >= 0.2


%description
Cabextract is an utility for extracting Microsoft cabinet (.CAB) files. It
is based on the portable libmspack library and supports all special features
and compression formats of Microsoft cabinet files.


%prep
%setup -q


%build
%configure \
	--with-external-libmspack

%{__make} %{?_smp_mflags}


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_prefix}

%{__make} \
	DESTDIR=${RPM_BUILD_ROOT} \
	install


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README
%doc TODO doc/{magic,*.html}
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*


%changelog
* Tue Nov 02 2010 Peter Pramberger <peterpramb@member.fsf.org> - 1.3-1
- Initial build
